petsc-3.4.2 2013-07-02

# SectionRealToVec

Map between unassembled local Section storage and a globally assembled Vec

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode  SectionRealToVec(SectionReal section, VecScatter scatter, ScatterMode mode, Vec vec)

Collective on VecScatter

### Input Parameters

| section | - the Section
| scatter | - the scatter from the Section to the Vec
| mode | - the mode, SCATTER_FORWARD (Section to Vec) or SCATTER_REVERSE (Vec to Section)
| vec | - the Vec

### See Also

SectionRealRestrict(), SectionRealCreate(), SectionRealView()

Level:advanced
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages